Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

In this Discussion

osTicket v1.10 (stable) and Maintenance Release v1.9.15 are now available! Go get it now

After installation, can access front page, but not admin panel or log in as agent

osTicket version 1.10
Server: Bitnami Debian 8 on Google Cloud Platform (webroot is not /var/www/html, but /opt/bitnami/apache2/htdocs)
PHP 5.6

After installing v1.10, I cannot access the admin panel or login as an agent. I get error 500 when going to https://helpdesk.aspencamp.org/scp/

Log message: [Tue Apr 11 23:14:00.130296 2017] [proxy_fcgi:error] [pid 29025:tid 140506029782784] [client ************:54496] AH01071: Got error 'PHP message: PHP Fatal error:  Class 'Bootstrap' not found in /opt/bitnami/apache2/htdocs/main.inc.php on line 24\n'

When I open and edit main.inc.php, "bootstrap" is present on line 24: 

23 require('bootstrap.php');
24 Bootstrap::loadConfig(); 
25 Bootstrap::defineTables(TABLE_PREFIX);
26 Bootstrap::i18n_prep();
27 Bootstrap::loadCode();
28 Bootstrap::connect();

After encountering this problem without being able to resolve it, I deleted my VM instance and started from scratch with a fresh SQL database, but then got the same error. 

Can anyone please help with this issue?  Thank you!

Comments

  • edited April 13
    Is the bootstrap.php located in /opt/bitnami/apache2/htdocs/?

    mod_security?
    SELinux?
    More than one version of PHP installed?
  • Yes, bootstrap.php is located in /opt/bitnami/apache2/htdocs/

    One version of PHP is installed, it is 5.6.30

    I'm not sure that mod_security and SELinux are active. I tried adding a phpinfo.php file to look at my Apache settings, but it wouldn't load when I tried it. 


  • I just took another look at this and the error is being thrown from proxy_fcgi.  It appears that your proxy is not behaving.
Sign In or Register to comment.